python2-pywinrm-0.3.0-2.2.noarch.rpm


Advertisement

Description

python2-pywinrm - Python library for Windows Remote Management

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python2-pywinrm-0.3.0-2.2.noarch.rpm
Package name python2-pywinrm
Package version 0.3.0
Package release 2.2
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage http://github.com/diyan/pywinrm/
License MIT
Maintainer -
Download size 56.18 KB
Installed size 229.22 KB
pywinrm is a Python client for Windows Remote Management (WinRM). This
allows you to invoke commands on target Windows machines from any
machine that can run Python.
WinRM allows you to call native objects in Windows. This includes, but
is not limited to, running batch scripts, powershell scripts and
fetching WMI variables. For more information on WinRM, please visit
Microsoft's WinRM http://msdn.microsoft.com/en-us/library/aa384426.aspx

Alternatives

Package Version Architecture Repository
python2-pywinrm - - -

Requires

Name Value
python(abi) = 2.7
python2-requests >= 2.9.1
python2-requests_ntlm >= 0.3.0
python2-six -
python2-xmltodict -

Provides

Name Value
python-pywinrm = 0.3.0-2.2
python2-pywinrm = 0.3.0-2.2

Obsoletes

Name Value
python-pywinrm < 0.3.0-2.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-pywinrm-0.3.0-2.2.noarch.rpm
Source Package python-pywinrm-0.3.0-2.2.src.rpm

Install Howto

Install python2-pywinrm rpm package:

# zypper install python2-pywinrm

Files

Path
/usr/lib/python2.7/site-packages/pywinrm-0.3.0-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/pywinrm-0.3.0-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/pywinrm-0.3.0-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/pywinrm-0.3.0-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/pywinrm-0.3.0-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/winrm/__init__.py
/usr/lib/python2.7/site-packages/winrm/__init__.pyc
/usr/lib/python2.7/site-packages/winrm/__init__.pyo
/usr/lib/python2.7/site-packages/winrm/encryption.py
/usr/lib/python2.7/site-packages/winrm/encryption.pyc
/usr/lib/python2.7/site-packages/winrm/encryption.pyo
/usr/lib/python2.7/site-packages/winrm/exceptions.py
/usr/lib/python2.7/site-packages/winrm/exceptions.pyc
/usr/lib/python2.7/site-packages/winrm/exceptions.pyo
/usr/lib/python2.7/site-packages/winrm/protocol.py
/usr/lib/python2.7/site-packages/winrm/protocol.pyc
/usr/lib/python2.7/site-packages/winrm/protocol.pyo
/usr/lib/python2.7/site-packages/winrm/transport.py
/usr/lib/python2.7/site-packages/winrm/transport.pyc
/usr/lib/python2.7/site-packages/winrm/transport.pyo
/usr/lib/python2.7/site-packages/winrm/tests/__init__.py
/usr/lib/python2.7/site-packages/winrm/tests/__init__.pyc
/usr/lib/python2.7/site-packages/winrm/tests/__init__.pyo
/usr/lib/python2.7/site-packages/winrm/tests/conftest.py
/usr/lib/python2.7/site-packages/winrm/tests/conftest.pyc
/usr/lib/python2.7/site-packages/winrm/tests/conftest.pyo
/usr/lib/python2.7/site-packages/winrm/tests/sample_script.ps1
/usr/lib/python2.7/site-packages/winrm/tests/test_cmd.py
/usr/lib/python2.7/site-packages/winrm/tests/test_cmd.pyc
/usr/lib/python2.7/site-packages/winrm/tests/test_cmd.pyo
/usr/lib/python2.7/site-packages/winrm/tests/test_encryption.py
/usr/lib/python2.7/site-packages/winrm/tests/test_encryption.pyc
/usr/lib/python2.7/site-packages/winrm/tests/test_encryption.pyo
/usr/lib/python2.7/site-packages/winrm/tests/test_integration_protocol.py
/usr/lib/python2.7/site-packages/winrm/tests/test_integration_protocol.pyc
/usr/lib/python2.7/site-packages/winrm/tests/test_integration_protocol.pyo
/usr/lib/python2.7/site-packages/winrm/tests/test_integration_session.py
/usr/lib/python2.7/site-packages/winrm/tests/test_integration_session.pyc
/usr/lib/python2.7/site-packages/winrm/tests/test_integration_session.pyo
/usr/lib/python2.7/site-packages/winrm/tests/test_nori_type_casting.py
/usr/lib/python2.7/site-packages/winrm/tests/test_nori_type_casting.pyc
/usr/lib/python2.7/site-packages/winrm/tests/test_nori_type_casting.pyo
/usr/lib/python2.7/site-packages/winrm/tests/test_powershell.py
/usr/lib/python2.7/site-packages/winrm/tests/test_powershell.pyc
/usr/lib/python2.7/site-packages/winrm/tests/test_powershell.pyo
/usr/lib/python2.7/site-packages/winrm/tests/test_protocol.py
/usr/lib/python2.7/site-packages/winrm/tests/test_protocol.pyc
/usr/lib/python2.7/site-packages/winrm/tests/test_protocol.pyo
/usr/lib/python2.7/site-packages/winrm/tests/test_session.py
/usr/lib/python2.7/site-packages/winrm/tests/test_session.pyc
/usr/lib/python2.7/site-packages/winrm/tests/test_session.pyo
/usr/lib/python2.7/site-packages/winrm/tests/test_transport.py
/usr/lib/python2.7/site-packages/winrm/tests/test_transport.pyc
/usr/lib/python2.7/site-packages/winrm/tests/test_transport.pyo
/usr/lib/python2.7/site-packages/winrm/tests/test_wql.py
/usr/lib/python2.7/site-packages/winrm/tests/test_wql.pyc
/usr/lib/python2.7/site-packages/winrm/tests/test_wql.pyo
/usr/share/doc/packages/python2-pywinrm/README.md
/usr/share/licenses/python2-pywinrm/LICENSE

Changelog

2018-12-04 - Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
2018-04-05 - mardnh@gmx.de
- Upgrade to version 0.3.0
* Added support for message encryption over HTTP when using NTLM/Kerberos/CredSSP
* Added parameter to disable TLSv1.2 when using CredSSP for Server 2008 support
* Error detail from SOAP fault (if present) is now included with HTTP 500 errors
* Fixed CA path override (incl envvar)
* Fixed Kerberos service override
* Try harder to suppress urllib3 InsecureRequestWarnings on various OSs
* Fixed timeout values to parse correctly if passed as strings
* Various updates to CI/tests
- Convert to singlespec
2017-03-08 - boris@steki.net
- upgraded to pypi released source 0.2.2
+ Added support for CredSSP authenication (via requests-credssp)
+ Improved README, see 'Valid transport options' section
+ Run unit tests on Linux / Travis CI on Python 2.6-2.7, 3.3-3.6, PyPy2
+ Run integration tests on Windows / AppVeyor on Python 2.7, 3.3-3.5
+ Drop support for Python 3.0-3.2 due to lack of explicit unicode literal, see pep-0414
+ Drop support for Python 2.6 on Windows
+ Add support for Python 3.6-dev on Linux
+ Force basic auth header to avoid additional HTTP request and reduce latency
+ Python 2.7.9+. Allow server cert validation to be ignored using SSLContext.verify_mode
+ Tests. Enable Python 3.4, 3.5 on Travis CI
+ Use xmltodict instead of not supported xmlwitch
+ Add certificate authentication support
+ Setup PyPI classifiers
+ Fix. Include UUID when sending request
+ Fix. Python 2.6.6/CentOS. Use tuples instead of lists in setup.py
+ Fix. Python 2.6. String formatting
+ Handle unauthorized response and raise UnauthorizeError
+ Convert different forms of short urls into full well-formed endpoint
+ Add Session.run_ps() helper to execute PowerShell scripts
+ Use pandoc for README.md to rst conversion for PyPI
2014-09-10 - boris@steki.net
- initial packaging

See Also

Package Description
python2-pyxb-1.2.6-1.4.noarch.rpm Python class code generator based on XMLSchemas
python2-pyxdg-0.26-3.1.noarch.rpm Implementations of freedesktop.org standards in python
python2-pyzmq-18.0.1-1.1.i586.rpm Python bindings for 0MQ
python2-pyzmq-18.0.1-1.1.x86_64.rpm Python bindings for 0MQ
python2-pyzmq-devel-18.0.1-1.1.i586.rpm Development files for python2-pyzmq
python2-pyzmq-devel-18.0.1-1.1.x86_64.rpm Development files for python2-pyzmq
python2-qrcode-6.1-1.1.noarch.rpm QR Code image generator
python2-qscintilla-qt5-2.11.1-1.1.i586.rpm Python Bindings for the C++ Editor Class Library
python2-qscintilla-qt5-2.11.1-1.1.x86_64.rpm Python Bindings for the C++ Editor Class Library
python2-qt3d-qt5-5.12-1.1.i586.rpm Python bindings for the Qt5 3D framework
python2-qt3d-qt5-5.12-1.1.x86_64.rpm Python bindings for the Qt5 3D framework
python2-qt4-4.12.3-1.4.i586.rpm PyQt - python bindings for Qt 4
python2-qt4-4.12.3-1.4.x86_64.rpm PyQt - python bindings for Qt 4
python2-qt4-devel-4.12.3-1.4.i586.rpm PyQt - devel part of python bindings for Qt 4
python2-qt4-devel-4.12.3-1.4.x86_64.rpm PyQt - devel part of python bindings for Qt 4
Advertisement
Advertisement